# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.OdaDesignerState

Packages that use OdaDesignerState
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of OdaDesignerState in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return OdaDesignerState
Modifier and Type
Method
Description
`static OdaDesignerState`
StructureFactory.`createOdaDesignerState()`
Creates an empty oda designer state.
Methods in org.eclipse.birt.report.model.api with parameters of type OdaDesignerState
Modifier and Type
Method
Description
`OdaDesignerStateHandle`
OdaDataSetHandle.`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data set.
`OdaDesignerStateHandle`
OdaDataSourceHandle.`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data source.